- router/state/interface

# Module router/state/interface

## Interfaces

HrefOptions
LazyLoadResult
StateDeclaration
TargetStateDef
TransitionPromise
ViewDeclaration

## Type Aliases

_StateDeclaration
RedirectToResult
ResolveTypes
StateOrName

### Settings

Member Visibility

- Protected
- Inherited
- External

Theme

### On This Page

Interfaces
HrefOptions
LazyLoadResult
StateDeclaration
TargetStateDef
TransitionPromise
ViewDeclaration
Type Aliases
_StateDeclaration
RedirectToResult
ResolveTypes
StateOrName